GET Current Game Match
https://glz-{region}-1.{shard}.a.pvp.net/core-game/v1/matches/{current game match id} Get the current game match info
Headers
-
X-Riot-ClientPlatform: {client platform} -
X-Riot-ClientVersion: {client version} -
X-Riot-Entitlements-JWT: {entitlement token} -
Authorization: Bearer {auth token}
URL Parameters
-
{region}There are 6 regions:
Obtaining locally:Region ID Region Name naNorth America latamLatin America brBrazil euEurope apAsia Pacific krKorea The region can be found in the ShooterGame log (
Obtaining remotely:%LocalAppData%\VALORANT\Saved\Logs\ShooterGame.log) when it's used in an endpoint url.
Example regex capturing region and shard:https://glz-(.+?)-1.(.+?).a.pvp.netUse the Riot Geo endpoint with the ID and auth tokens from Cookie Reauth
-
{current game match id}The match ID of the current game. The ID of the current game can be found from the Current Game Player endpoint.
Other Variables
-
client platformA string representing the platform of the client. Base-64 encoded JSON with the following fields:
{ "platformType": "PC", "platformOS": "Windows", "platformOSVersion": "10.0.19042.1.256.64bit", "platformChipset": "Unknown" }ew0KCSJwbGF0Zm9ybVR5cGUiOiAiUEMiLA0KCSJwbGF0Zm9ybU9TIjogIldpbmRvd3MiLA0KCSJwbGF0Zm9ybU9TVmVyc2lvbiI6ICIxMC4wLjE5MDQyLjEuMjU2LjY0Yml0IiwNCgkicGxhdGZvcm1DaGlwc2V0IjogIlVua25vd24iDQp9is a value that works. -
client version -
entitlement tokenCan be obtained locally with the Entitlements Token endpoint or remotely using Riot auth and the Entitlement endpoint -
auth tokenCan be obtained locally with the Entitlements Token endpoint or remotely by first using the Auth Cookies endpoint then using the cookies with the Auth Request endpoint
Response
type CurrentGameMatchResponse = {
/** Current Game Match ID */
MatchID: string;
Version: number;
State: "IN_PROGRESS";
/** Map ID */
MapID: string;
/** Game Mode */
ModeID: string;
ProvisioningFlow: "Matchmaking" | "CustomGame";
GamePodID: string;
/** Chat room ID for "all" chat */
AllMUCName: string;
/** Chat room ID for "team" chat */
TeamMUCName: string;
TeamVoiceID: string;
/** JWT containing match ID, participant IDs, and match region */
TeamMatchToken: string;
IsReconnectable: boolean;
ConnectionDetails: {
GameServerHosts: string[];
GameServerHost: string;
GameServerPort: number;
GameServerObfuscatedIP: number;
GameClientHash: number;
PlayerKey: string;
};
PostGameDetails: null;
Players: {
/** Player UUID */
Subject: string;
TeamID: ("Blue" | "Red") | string;
/** Character ID */
CharacterID: string;
PlayerIdentity: {
/** Player UUID */
Subject: string;
/** Card ID */
PlayerCardID: string;
/** Title ID */
PlayerTitleID: string;
AccountLevel: number;
/** Preferred Level Border ID */
PreferredLevelBorderID: string | "";
Incognito: boolean;
HideAccountLevel: boolean;
};
SeasonalBadgeInfo: {
/** Season ID */
SeasonID: string | "";
NumberOfWins: number;
WinsByTier: null;
Rank: number;
LeaderboardRank: number;
};
IsCoach: boolean;
IsAssociated: boolean;
}[];
MatchmakingData: null;
}; {
"MatchID": "Ea29Eb8a-1c50-7A9e-2E5b-350554EA24a0",
"Version": 2413648206817691,
"State": "IN_PROGRESS",
"MapID": "voveo",
"ModeID": "astrum",
"ProvisioningFlow": "CustomGame",
"GamePodID": "dedecor",
"AllMUCName": "aiunt",
"TeamMUCName": "commodo",
"TeamVoiceID": "constans",
"TeamMatchToken": "bonus",
"IsReconnectable": true,
"ConnectionDetails": {
"GameServerHosts": [
"corrumpo",
"aperte",
"cerno",
"vitae",
"arca"
],
"GameServerHost": "maiores",
"GameServerPort": 2755660226902752,
"GameServerObfuscatedIP": 8110692568702480,
"GameClientHash": 2511162040910933,
"PlayerKey": "fugit"
},
"PostGameDetails": null,
"Players": [
{
"Subject": "5e82E0dE-d9bA-77a4-2bfd-aEC866ac27AA",
"TeamID": "Blue",
"CharacterID": "2dA1d56A-1d66-99D7-420A-5C83Ee574B6f",
"PlayerIdentity": {
"Subject": "E425e28F-cD80-e8c3-05Ac-4EFffb6AD6DB",
"PlayerCardID": "69D29cFb-4eBa-67b4-5eAC-A26ABB3eA506",
"PlayerTitleID": "FD5BFAd6-0Fa9-2B59-a7D2-Df09D6fFAB6e",
"AccountLevel": 310456758457864,
"PreferredLevelBorderID": "DAF997D2-E1F7-8f0a-29EA-6eDDad947dB7",
"Incognito": true,
"HideAccountLevel": false
},
"SeasonalBadgeInfo": {
"SeasonID": "0FA0E31a-CD5C-9588-Df46-13266BE1a4e0",
"NumberOfWins": 4070436338585095,
"WinsByTier": null,
"Rank": 3598022326138171,
"LeaderboardRank": 3125094177210889
},
"IsCoach": true,
"IsAssociated": false
},
{
"Subject": "fb017FB9-Ee01-7F5A-dfBF-5f625b1B4FcD",
"TeamID": "50C172De-87d9-b1c6-268c-091eFd8fDCA3",
"CharacterID": "3EE3a86B-4CD8-d13B-fd1B-5737BcC11a83",
"PlayerIdentity": {
"Subject": "9F0D74Cb-a86e-b765-F0FB-12A6abC0CceD",
"PlayerCardID": "911F696f-93f2-a164-a7C7-faAfa3c79031",
"PlayerTitleID": "cd4Ea0f0-baAf-BD41-47ca-dFfF6175468B",
"AccountLevel": 2760953037099585,
"PreferredLevelBorderID": "",
"Incognito": true,
"HideAccountLevel": false
},
"SeasonalBadgeInfo": {
"SeasonID": "2DaeB336-EfAF-6caf-CECb-DdD1F9208fa0",
"NumberOfWins": 4087360160529697,
"WinsByTier": null,
"Rank": 1806487379118989,
"LeaderboardRank": 2154457464221526
},
"IsCoach": false,
"IsAssociated": false
},
{
"Subject": "de1E70C2-4336-Ea5c-f93c-6C6877d53a2d",
"TeamID": "38c4bFFB-eCCb-4235-6B77-86708Ed3d7e0",
"CharacterID": "784edbF2-87cC-1bFC-DbbF-58cB403B852e",
"PlayerIdentity": {
"Subject": "bc2036D5-03Ef-697a-CD7D-DB3D43AA6edF",
"PlayerCardID": "9a9BEf32-B0fB-ea47-278b-d99AD0041a4B",
"PlayerTitleID": "c8AE4a66-e78d-a74F-C7db-3a213439d8bc",
"AccountLevel": 1088188513064161,
"PreferredLevelBorderID": "",
"Incognito": true,
"HideAccountLevel": false
},
"SeasonalBadgeInfo": {
"SeasonID": "e027Ce1a-93ff-c19A-7DD5-D833E0cAC96e",
"NumberOfWins": 682550716618737,
"WinsByTier": null,
"Rank": 3048134916914784,
"LeaderboardRank": 5714239919506617
},
"IsCoach": true,
"IsAssociated": true
}
],
"MatchmakingData": null
}